summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorJuro Bystricky <juro.bystricky@intel.com>2015-03-27 10:17:35 -0700
committerRichard Purdie <richard.purdie@linuxfoundation.org>2015-03-31 22:24:33 +0100
commita7e20761bd61bcfc5a49f21fa02f5f2117782594 (patch)
tree71ea8c2a45ce7617860df754742e7563e1e684c1 /scripts
parentbc090aa673356d3d2e72aa4753c3eccd4d0f9b35 (diff)
downloadast2050-yocto-poky-a7e20761bd61bcfc5a49f21fa02f5f2117782594.zip
ast2050-yocto-poky-a7e20761bd61bcfc5a49f21fa02f5f2117782594.tar.gz
oe-git-proxy: Redirect error messages to STDERR
oe-git-proxy script needs socat. If socat is not found, an error message is issued on STDOUT. This leads to a misleading git message: fatal: protocol error: bad line length character: ERRO instead of the intended message: ERROR: socat binary not in PATH Redirecting the error message to STDERR fixes this issue. (From OE-Core rev: d611d7009631aa8a372f248995b52938163966c6) Signed-off-by: Juro Bystricky <juro.bystricky@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/oe-git-proxy2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/oe-git-proxy b/scripts/oe-git-proxy
index 0ce7ed0..4873455 100755
--- a/scripts/oe-git-proxy
+++ b/scripts/oe-git-proxy
@@ -19,7 +19,7 @@
# Locate the netcat binary
SOCAT=$(which socat 2>/dev/null)
if [ $? -ne 0 ]; then
- echo "ERROR: socat binary not in PATH"
+ echo "ERROR: socat binary not in PATH" 1>&2
exit 1
fi
METHOD=""
OpenPOWER on IntegriCloud